Reverse payment

This request voids or reverses a payment made on a line of credit account.

   Click here to learn more about this request

Payments can be reversed or voided after they're created. Note the following when using this request:

Once a payment is reversed, it can no longer be edited.

Unlike when editing an existing payment, reversing a payment does not create a new payment record.

When a payment is reversed, its status in the database is updated to payment.status.voided.

👆

Pay special attention to the endpoint of this request.

This request does not use OData, so it's not included in the endpoint like most other LMS requests.

Database

For information regarding Line of Credit and Payment database tables, see the following articles:

Database – Line of Credit Payments (line_of_credit_payment_entity)

Database – Line of Credit Payment Type (line_of_credit_payment_type_entity)

Database – Line of Credit Account (line_of_credit_entity)

{
    "reverseReason": "payment.reverse.nachaErrorCode",
    "comments": "The check provided by the borrower could not be processed.",
    "nachaReturnCode": "nacha.returnCode.r05",
    "__logOnly": false
}
Path Params
int32
required

The ID of the line of credit account.

int32
required

The ID of the payment.

Body Params
string
enum
required

Determines the reason for reversing the payment.
> For more information on these values, click here

Allowed:
string
required

Text field that's used to describe the reversal in greater detail.
> Limited to 250 characters.

string
enum

Specifies whether a NACHA return code should be sent to the payment processor. If this field is left empty, no NACHA return code will be sent to the payment processor.
> See NACHA Return Codes for all available options and their descriptions.

Allowed:
boolean

Determines whether the reversal information will be forwarded to payment processors. If set to false, the information will be forwarded to payment processors.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
text/plain